Skip to main content
POST
Rotate an Automation's webhook signing secret

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

checkfu-version
enum<string>
required
Available options:
2026-08-31

Path Parameters

id
string
required
Pattern: ^auto_[0-9a-f]{32}$

Response

AutomationWebhookSecret

type
enum<string>
required
Available options:
automation_webhook_secret
automation_id
string
required
Pattern: ^auto_[0-9a-f]{32}$
webhook_secret
string
required
Pattern: ^whsec_[A-Za-z0-9_-]{43}$